summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/kvmd-udev-restart-pass5
1 files changed, 2 insertions, 3 deletions
diff --git a/scripts/kvmd-udev-restart-pass b/scripts/kvmd-udev-restart-pass
index addf4bc2..760267eb 100755
--- a/scripts/kvmd-udev-restart-pass
+++ b/scripts/kvmd-udev-restart-pass
@@ -45,9 +45,8 @@ if [ "$port" = "HDMI-A-1" ]; then
if systemctl is-enabled -q kvmd-pass; then
systemctl restart kvmd-pass || true
fi
- pid=$(pidof ustreamer || echo 0)
- if [ "$pid" -ne 0 ]; then
+ for pid in $(pgrep -f '^kvmd/streamer: ' || true); do
kill "$pid" || true
- fi
+ done
fi
fi